import java.io.*;
import javax.swing.*;
import javax.tools.*;
import java.util.*;
import java.lang.Integer;
import java.awt.*;
import java.awt.event.*;
import java.awt.font.*;
import java.awt.geom.*;
import java.awt.image.*;
import javax.swing.*;
import java.util.Locale;
import java.text.*;
import java.util.*;
import javax.swing.table.*;
import static java.lang.Math.*;

class ce3DT extends JApplet 
{ 
	 public ce3DT(double a[],String s)
	 { 
     int n1=a.length;
     System.out.println("n1="+n1);
     f2DT fb=new f2DT(); 
     if(n1==7)
	 {timeplot_n pp=new timeplot_n(fb,a[0],a[1],a[4],a[2],a[3],a[6],a[5]);
      pp.start();
	 }
     else if (n1==6)
     {timeplot_n pp=new timeplot_n(fb,a[0],a[1],a[4],a[2],a[3],a[5],a[5]);
	  pp.start();								
     }
     else
     {   double dx=(a[1]-a[0])/100;
         double dt=(a[3]-a[2])/30;
	     timeplot_n pp=new timeplot_n(fb,a[0],a[1],dx,a[2],a[3],dt,dt);
	  pp.start();										
	 }   
	 }
	 
 }
